Bug 1156666 - [abrt] cherrytree: core.py:722:on_drag_data_recv_cherrytree:TypeError: child should be a GtkTreeIter
Summary: [abrt] cherrytree: core.py:722:on_drag_data_recv_cherrytree:TypeError: child ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cherrytree
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8db733c9fc150477fbd461b5287...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-25 03:36 UTC by John Duchek
Modified: 2014-11-07 02:31 UTC (History)
3 users (show)

Fixed In Version: cherrytree-0.35.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-07 02:31:59 UTC


Attachments (Terms of Use)
File: backtrace (955 bytes, text/plain)
2014-10-25 03:36 UTC, John Duchek
no flags Details
File: environ (2.96 KB, text/plain)
2014-10-25 03:36 UTC, John Duchek
no flags Details

Description John Duchek 2014-10-25 03:36:02 UTC
Version-Release number of selected component:
cherrytree-0.35.1-1.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/bin/cherrytree
executable:     /usr/bin/cherrytree
kernel:         3.16.6-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
core.py:722:on_drag_data_recv_cherrytree:TypeError: child should be a GtkTreeIter

Traceback (most recent call last):
  File "/usr/share/cherrytree/modules/core.py", line 722, in on_drag_data_recv_cherrytree
    self.node_move_after(self.drag_iter, self.treestore.iter_parent(prev_iter), prev_iter, True)
TypeError: child should be a GtkTreeIter

Local variables in innermost frame:
info: 0
drop_iter: <GtkTreeIter at 0x3509160>
widget: <gtk.TreeView object at 0x2c1a0f0 (GtkTreeView at 0x26b8bc0)>
drop_info: ((0, 0), <enum GTK_TREE_VIEW_DROP_BEFORE of type GtkTreeViewDropPosition>)
drop_path: (0, 0)
timestamp: 25619177
self: <core.CherryTree instance at 0x265b560>
drop_pos: <enum GTK_TREE_VIEW_DROP_BEFORE of type GtkTreeViewDropPosition>
prev_iter: None
move_towards_top_iter: None
drag_context: <gtk.gdk.DragContext object at 0x30ad370 (GdkDragContext at 0x2e901e0)>
selection_data: <GtkSelectionData at 0x7fffa2d5e300>
y: 33
x: 86
drag_node_id: 3

Comment 1 John Duchek 2014-10-25 03:36:04 UTC
Created attachment 950583 [details]
File: backtrace

Comment 2 John Duchek 2014-10-25 03:36:04 UTC
Created attachment 950584 [details]
File: environ

Comment 3 Giuseppe Penone 2014-10-25 11:34:50 UTC
This bug is already fixed in current version 0.35.2

Comment 4 Fedora Update System 2014-10-26 09:46:10 UTC
cherrytree-0.35.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cherrytree-0.35.2-1.fc20

Comment 5 Fedora Update System 2014-10-28 06:38:28 UTC
Package cherrytree-0.35.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cherrytree-0.35.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13728/cherrytree-0.35.2-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-11-07 02:31:59 UTC
cherrytree-0.35.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.